Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024289
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformmajorhave not tried2013-07-09 08:522015-03-18 08:59
ReportershankarbView Statuspublic 
Assigned Toshankarb 
PriorityimmediateResolutionfixedFixed in Version3.0MP26
StatusclosedFix in branchpiFixed in SCM revisionbed326b6ddf6
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024289: Retrieving attachments API Change

DescriptionAPI change to change the attachment model. Earlier attachments were stored in this format, tableId-recordId. Now it will changed as per the specifications in alternate 2 in issue https://issues.openbravo.com/view.php?id=20623. [^] It a critical change that would affect java process that uses the earlier format to access the attachments. For existing attachments in the old model, it will be retrieved and can be downloaded/deleted from the Application as before.
Steps To ReproduceTry to created more than attachments for more than 32K records
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 00206233.0MP25 closedshankarb 32K limit for attachments 

-  Notes
(0059950)
dmitry_mezentsev (developer)
2013-07-11 13:35

Approved with the comment that backward compatibility mode should be clearly explained in the API change description.
(0059962)
hgbot (developer)
2013-07-13 09:16

Repository: erp/devel/pi
Changeset: bed326b6ddf6f08b10cf22cd7403aff84c0e3750
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Thu Jul 11 11:00:28 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/bed326b6ddf6f08b10cf22cd7403aff84c0e3750 [^]

Fixes Issue 0020623, Fixes Issue 24289: 32K limit for attachments

The attachment model has been changed as explained in the wiki[1].
A new ant task has been added to migrate attachments from old model to new model.

[1] http://wiki.openbravo.com/wiki/Attachments [^]

---
M build.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/AttachmentsAH.java
M src-db/database/model/tables/C_FILE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src/org/openbravo/erpCommon/businessUtility/TabAttachments.java
M src/org/openbravo/erpCommon/businessUtility/TabAttachments_data.xsql
M src/org/openbravo/erpCommon/utility/reporting/ReportManager.java
A src/org/openbravo/erpCommon/utility/MigrateAttachments.java
---
(0059963)
shankarb (developer)
2013-07-13 09:17

API change has been approved and appropriate description has been added to the API changes wiki.
(0060040)
hudsonbot (developer)
2013-07-16 14:26

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9a5d5983399f [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-07-09 08:52 shankarb New Issue
2013-07-09 08:52 shankarb Assigned To => dmitry_mezentsev
2013-07-09 08:52 shankarb Modules => Core
2013-07-09 08:52 shankarb Triggers an Emergency Pack => No
2013-07-11 13:35 dmitry_mezentsev Note Added: 0059950
2013-07-11 13:35 dmitry_mezentsev Assigned To dmitry_mezentsev => shankarb
2013-07-13 08:54 shankarb Status new => scheduled
2013-07-13 08:54 shankarb fix_in_branch => pi
2013-07-13 09:11 shankarb Relationship added related to 0020623
2013-07-13 09:16 hgbot Checkin
2013-07-13 09:16 hgbot Note Added: 0059962
2013-07-13 09:16 hgbot Status scheduled => resolved
2013-07-13 09:16 hgbot Resolution open => fixed
2013-07-13 09:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bed326b6ddf6f08b10cf22cd7403aff84c0e3750 [^]
2013-07-13 09:17 shankarb Review Assigned To => shankarb
2013-07-13 09:17 shankarb Note Added: 0059963
2013-07-13 09:17 shankarb Status resolved => closed
2013-07-13 09:17 shankarb Fixed in Version => 3.0MP26
2013-07-16 14:26 hudsonbot Checkin
2013-07-16 14:26 hudsonbot Note Added: 0060040
2015-03-18 08:59 alostale Relationship added related to 0028842
2015-03-18 08:59 alostale Relationship deleted related to 0028842


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker